Bullet Collision Detection & Physics Library: btSoftBody::Config Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btSoftBody::Config Struct Reference

`#include <btSoftBody.h>`

Collaboration diagram for btSoftBody::Config:
[legend]

## Public Attributes
eAeroModel::_ | aeromodel
btScalar | kVCF
btScalar | kDP
btScalar | kDG
btScalar | kLF
btScalar | kPR
btScalar | kVC
btScalar | kDF
btScalar | kMT
btScalar | kCHR
btScalar | kKHR
btScalar | kSHR
btScalar | kAHR
btScalar | kSRHR_CL
btScalar | kSKHR_CL
btScalar | kSSHR_CL
btScalar | kSR_SPLT_CL
btScalar | kSK_SPLT_CL
btScalar | kSS_SPLT_CL
btScalar | maxvolume
btScalar | timescale
int | viterations
int | piterations
int | diterations
int | citerations
int | collisions
tVSolverArray | m_vsequence
tPSolverArray | m_psequence
tPSolverArray | m_dsequence
btScalar | drag
btScalar | m_maxStress

## Detailed Description

Definition at line 708 of file btSoftBody.h.

## Member Data Documentation

## ◆ aeromodel

eAeroModel::_ btSoftBody::Config::aeromodel

Definition at line 710 of file btSoftBody.h.

## ◆ citerations

int btSoftBody::Config::citerations

Definition at line 734 of file btSoftBody.h.

## ◆ collisions

int btSoftBody::Config::collisions

Definition at line 735 of file btSoftBody.h.

## ◆ diterations

int btSoftBody::Config::diterations

Definition at line 733 of file btSoftBody.h.

## ◆ drag

btScalar btSoftBody::Config::drag

Definition at line 739 of file btSoftBody.h.

## ◆ kAHR

btScalar btSoftBody::Config::kAHR

Definition at line 722 of file btSoftBody.h.

## ◆ kCHR

btScalar btSoftBody::Config::kCHR

Definition at line 719 of file btSoftBody.h.

## ◆ kDF

btScalar btSoftBody::Config::kDF

Definition at line 717 of file btSoftBody.h.

## ◆ kDG

btScalar btSoftBody::Config::kDG

Definition at line 713 of file btSoftBody.h.

## ◆ kDP

btScalar btSoftBody::Config::kDP

Definition at line 712 of file btSoftBody.h.

## ◆ kKHR

btScalar btSoftBody::Config::kKHR

Definition at line 720 of file btSoftBody.h.

## ◆ kLF

btScalar btSoftBody::Config::kLF

Definition at line 714 of file btSoftBody.h.

## ◆ kMT

btScalar btSoftBody::Config::kMT

Definition at line 718 of file btSoftBody.h.

## ◆ kPR

btScalar btSoftBody::Config::kPR

Definition at line 715 of file btSoftBody.h.

## ◆ kSHR

btScalar btSoftBody::Config::kSHR

Definition at line 721 of file btSoftBody.h.

## ◆ kSK_SPLT_CL

btScalar btSoftBody::Config::kSK_SPLT_CL

Definition at line 727 of file btSoftBody.h.

## ◆ kSKHR_CL

btScalar btSoftBody::Config::kSKHR_CL

Definition at line 724 of file btSoftBody.h.

## ◆ kSR_SPLT_CL

btScalar btSoftBody::Config::kSR_SPLT_CL

Definition at line 726 of file btSoftBody.h.

## ◆ kSRHR_CL

btScalar btSoftBody::Config::kSRHR_CL

Definition at line 723 of file btSoftBody.h.

## ◆ kSS_SPLT_CL

btScalar btSoftBody::Config::kSS_SPLT_CL

Definition at line 728 of file btSoftBody.h.

## ◆ kSSHR_CL

btScalar btSoftBody::Config::kSSHR_CL

Definition at line 725 of file btSoftBody.h.

## ◆ kVC

btScalar btSoftBody::Config::kVC

Definition at line 716 of file btSoftBody.h.

## ◆ kVCF

btScalar btSoftBody::Config::kVCF

Definition at line 711 of file btSoftBody.h.

## ◆ m_dsequence

tPSolverArray btSoftBody::Config::m_dsequence

Definition at line 738 of file btSoftBody.h.

## ◆ m_maxStress

btScalar btSoftBody::Config::m_maxStress

Definition at line 740 of file btSoftBody.h.

## ◆ m_psequence

tPSolverArray btSoftBody::Config::m_psequence

Definition at line 737 of file btSoftBody.h.

## ◆ m_vsequence

tVSolverArray btSoftBody::Config::m_vsequence

Definition at line 736 of file btSoftBody.h.

## ◆ maxvolume

btScalar btSoftBody::Config::maxvolume

Definition at line 729 of file btSoftBody.h.

## ◆ piterations

int btSoftBody::Config::piterations

Definition at line 732 of file btSoftBody.h.

## ◆ timescale

btScalar btSoftBody::Config::timescale

Definition at line 730 of file btSoftBody.h.

## ◆ viterations

int btSoftBody::Config::viterations

Definition at line 731 of file btSoftBody.h.

The documentation for this struct was generated from the following file:

- btSoftBody.h